org.apache.tiles.freemarker.template

## Class DefinitionFMModel

- java.lang.Object
- - org.apache.tiles.freemarker.template.DefinitionFMModel

- All Implemented Interfaces:
    freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

      public class DefinitionFMModel
      extends Object
      implements freemarker.template.TemplateDirectiveModel

  Create a definition at runtime.

  Create a new definition at runtime. Newly created definition will be available across the entire request.

- - ### Field Summary

    - ### Fields inherited from interface freemarker.template.TemplateModel

      `NOTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionFMModel(DefinitionModel model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefinitionFMModel

          public DefinitionFMModel(DefinitionModel model)

      Constructor.
      Parameters:
        `model` - The template model.

  - ### Method Detail

    - #### execute

          public void execute(freemarker.core.Environment env,
                              Map params,
                              freemarker.template.TemplateModel[] loopVars,
                              freemarker.template.TemplateDirectiveBody body)
                       throws freemarker.template.TemplateException,
                              IOException

      Specified by:
        `execute` in interface `freemarker.template.TemplateDirectiveModel`
      Throws:
        `freemarker.template.TemplateException`
        `IOException`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.